%{?scl:%scl_package felix-scr-annotations}
%{!?scl:%global pkg_name %{name}}
%{?java_common_find_provides_and_requires}

%global project   felix
%global bundle    org.apache.felix.scr.annotations
Name:          %{?scl_prefix}felix-scr-annotations
Version:       1.9.12
Release:       5%{?dist}
Summary:       Annotations for SCR
License:       ASL 2.0
URL:           http://felix.apache.org/
Source0:       http://www.apache.org/dist/felix/%{bundle}-%{version}-source-release.tar.gz

BuildRequires: %{?scl_prefix_java_common}maven-local
BuildRequires: %{?scl_prefix_maven}mvn(org.apache.felix:felix-parent:pom:)
BuildRequires: %{?scl_prefix}mvn(org.apache.felix:org.apache.felix.scr.generator)
BuildRequires: %{?scl_prefix_maven}mvn(org.apache.maven.plugins:maven-remote-resources-plugin)
BuildRequires: %{?scl_prefix_maven}mvn(org.apache.maven.plugins:maven-surefire-plugin)
BuildRequires: %{?scl_prefix}mvn(org.mockito:mockito-all)

BuildArch:     noarch

%description
Annotations for generating OSGi service descriptors.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%{?scl:scl enable %{scl_maven} %{scl} - << "EOF"}
%setup -q -n %{bundle}-%{version}

%mvn_file :%{bundle} %{project}/%{bundle}
%{?scl:EOF}

%build
%{?scl:scl enable %{scl_maven} %{scl} - << "EOF"}
# no test to run
%mvn_build -- -Dproject.build.sourceEncoding=UTF-8
%{?scl:EOF}

%install
%{?scl:scl enable %{scl_maven} %{scl} - << "EOF"}
%mvn_install
%{?scl:EOF}

%files -f .mfiles
%doc changelog.txt
%{!?scl:
%license LICENSE NOTICE
}
%{?scl:
%doc LICENSE NOTICE
}

%files javadoc -f .mfiles-javadoc
%{!?scl:
%license LICENSE NOTICE
}
%{?scl:
%doc LICENSE NOTICE
}

%changelog
* Tue Nov 24 2015 Severin Gehwolf <sgehwolf@redhat.com> 1.9.12-5
- Use rh-java-common provides generator.

* Mon Nov 23 2015 Severin Gehwolf <sgehwolf@redhat.com> 1.9.12-3
- SCL-ize package.

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.9.12-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Thu Jun 11 2015 gil cattaneo <puntogil@libero.it> 1.9.12-1
- update to 1.9.12

* Sun Feb 01 2015 gil cattaneo <puntogil@libero.it> 1.9.10-2
- introduce license macro

* Fri Jan 23 2015 gil cattaneo <puntogil@libero.it> 1.9.10-1
- update to 1.9.10

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.9.6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Oct 19 2013 gil cattaneo <puntogil@libero.it> 1.9.6-2
- add missing BR mockito

* Thu Aug 29 2013 gil cattaneo <puntogil@libero.it> 1.9.6-1
- update to 1.9.6

* Mon Jun 24 2013 gil cattaneo <puntogil@libero.it> 1.9.4-1
- update to 1.9.4

* Tue Apr 02 2013 gil cattaneo <puntogil@libero.it> 1.9.0-1
- update to 1.9.0

* Mon Jan 21 2013 gil cattaneo <puntogil@libero.it> 1.7.0-1
- initial rpm
